Bug 1269607 - [abrt] dnfdaemon: misc.py:170:checksum:dnf.exceptions.MiscError: Error opening file for checksum: /tmp/VirtualBox-5.0-5.0.6_103037_fedora22-1.x86_64.rpm [NEEDINFO]
[abrt] dnfdaemon: misc.py:170:checksum:dnf.exceptions.MiscError: Error openin...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnfdaemon (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7dc2fd9313c5a6685a857984534...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 13:06 EDT by Emilijan
Modified: 2015-11-18 12:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 12:34:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: needinfo? (emilijan.abraham)


Attachments (Terms of Use)
File: backtrace (1.64 KB, text/plain)
2015-10-07 13:06 EDT, Emilijan
no flags Details
File: environ (110 bytes, text/plain)
2015-10-07 13:07 EDT, Emilijan
no flags Details

  None (edit)
Description Emilijan 2015-10-07 13:06:54 EDT
Version-Release number of selected component:
dnfdaemon-0.3.8-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -tt /usr/share/dnfdaemon/dnfdaemon-system
executable:     /usr/share/dnfdaemon/dnfdaemon-system
kernel:         4.1.8-200.fc22.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
misc.py:170:checksum:dnf.exceptions.MiscError: Error opening file for checksum: /tmp/VirtualBox-5.0-5.0.6_103037_fedora22-1.x86_64.rpm

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/yum/misc.py", line 167, in checksum
    with open(file, 'rb', CHUNK) as fo:
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/VirtualBox-5.0-5.0.6_103037_fedora22-1.x86_64.rpm'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 413, in callback
    self._instCloseFile(  bytes, total, h )
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 476, in _instCloseFile
    pid = self.base.history.pkg2pid(pkg)
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 885, in pkg2pid
    return self._apkg2pid(po, create)
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 867, in _apkg2pid
    csum = po.returnIdSum()
  File "/usr/lib/python3.4/site-packages/dnf/package.py", line 185, in returnIdSum
    (chksum_type, chksum) = self.chksum
  File "/usr/lib/python3.4/site-packages/dnf/package.py", line 52, in chksum
    chksum_val = dnf.yum.misc.checksum(chksum_type, self.location)
  File "/usr/lib/python3.4/site-packages/dnf/yum/misc.py", line 170, in checksum
    raise MiscError('Error opening file for checksum: %s' % file)
dnf.exceptions.MiscError: Error opening file for checksum: /tmp/VirtualBox-5.0-5.0.6_103037_fedora22-1.x86_64.rpm

Local variables in innermost frame:
sumtype: 'sha256'
datasize: None
CHUNK: 65536
file: '/tmp/VirtualBox-5.0-5.0.6_103037_fedora22-1.x86_64.rpm'
Comment 1 Emilijan 2015-10-07 13:06:58 EDT
Created attachment 1080748 [details]
File: backtrace
Comment 2 Emilijan 2015-10-07 13:07:00 EDT
Created attachment 1080749 [details]
File: environ
Comment 3 Tim Lauridsen 2015-10-08 03:49:51 EDT
What was you doing when this happend and can you reproduce this.

Note You need to log in before you can comment on or make changes to this bug.